/*===================================
		Copyright Yakibomb
*///=================================


function VSCONDS_RESET_PARAMS() {
	::VSCOND_COND_NAMES <- [];				//Condition string names
	::VSCOND_ENTS_UNDER_CONDS <- [null];	//Entities under conditions
	::VSCOND_HIDDEN_WEARABLES <- {};		//parented wearable to entity; for applying weapon attributes (not implemented) and particle origin fixes
	::VS_COND_BASE <- VSConds_Base;
}

function VSCONDS_RESET_LOGICSCRIPT() {
	if ( VSConds_FirstBootComplete ) {
		local addvsconds;

		while ( addvsconds = Entities.FindByName(null, "vscript_addvscond") ) addvsconds.Kill();
	}
	
	SpawnEntityFromTable("logic_script", {
		targetname	= "vscript_addvscond",
		vscripts	= "addvscond/code/vsconds_think",
		thinkfunction	= "VSConds_Think",
	});
}

function VSCONDS_PARSE_CBASEENTITY() {
	EntFireByHandle(worldspawn,"RunScriptCode","IncludeScript(\"addvscond/code/compiler/vsconds_parse_cbaseentity.nut\")",0.0,worldspawn,worldspawn);
}