/*===================================
		Copyright Yakibomb
*///=================================

/*===========================
		Main Compiler
*///=========================
function VSCONDS_COMPILE() {
	VSCONDS_CLEANUP()
	VSCONDS_RESET_PARAMS()
	VSCONDS_INSERT_CONDITIONS()
	VSCONDS_COMPILE_CONDITIONS()
	VSCONDS_RESET_LOGICSCRIPT()
	VSCONDS_PARSE_CBASEENTITY()
}

/*===================================
		All Example Conditions
*///=================================
function VSCONDS_INCLUDE_EXAMPLE_CONDITIONS() {
	IncludeScript("addvscond/conditions/examples/POWERPLAY.nut");
	IncludeScript("addvscond/conditions/examples/AIRFLOW.nut");
	IncludeScript("addvscond/conditions/examples/PORTABLE_DISPENSER.nut");
	IncludeScript("addvscond/conditions/examples/FLOORMASTER.nut");
	IncludeScript("addvscond/conditions/examples/TEAMSWAP.nut");
	IncludeScript("addvscond/conditions/examples/INKED.nut");
	IncludeScript("addvscond/conditions/examples/RAGE.nut");
	IncludeScript("addvscond/conditions/examples/MARKED.nut");
	IncludeScript("addvscond/conditions/examples/SHIELD.nut");
}

/*=============================================================
	Please place your custom conditions in this compile step
*///===========================================================
function VSCONDS_INSERT_CONDITIONS() {
	IncludeScript("addvscond/conditions/tutorial.nut");		//<<-- please read at least once
	VSCONDS_INCLUDE_EXAMPLE_CONDITIONS();	//<<-- example function
}